"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appGenerator = void 0;
const tslib_1 = require("tslib");
const ensure_nx_dependencies_1 = require("../../utils/ensure-nx-dependencies");
function appGenerator(tree, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        (0, ensure_nx_dependencies_1.ensureNxDependencies)();
        const { appGeneratorInternal } = yield Promise.resolve().then(() => require('./generator-internal'));
        return appGeneratorInternal(tree, options);
    });
}
exports.appGenerator = appGenerator;
exports.default = appGenerator;
//# sourceMappingURL=generator.js.map