"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.angularInAppGenerator = void 0;
const tslib_1 = require("tslib");
const ensure_nx_dependencies_1 = require("./../../../utils/ensure-nx-dependencies");
function angularInAppGenerator(tree, schema) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        (0, ensure_nx_dependencies_1.ensureNxDependencies)();
        const { angularInAppGeneratorInternal } = yield Promise.resolve().then(() => require('./generator-internal'));
        return angularInAppGeneratorInternal(tree, schema);
    });
}
exports.angularInAppGenerator = angularInAppGenerator;
exports.default = angularInAppGenerator;
//# sourceMappingURL=generator.js.map