"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reactInAppGenerator = void 0;
const tslib_1 = require("tslib");
const ensure_nx_dependencies_1 = require("../../../utils/ensure-nx-dependencies");
function reactInAppGenerator(tree, schema) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        (0, ensure_nx_dependencies_1.ensureNxDependencies)();
        const { reactInAppGeneratorInternal } = yield Promise.resolve().then(() => require('./generator-internal'));
        return reactInAppGeneratorInternal(tree, schema);
    });
}
exports.reactInAppGenerator = reactInAppGenerator;
exports.default = reactInAppGenerator;
//# sourceMappingURL=generator.js.map