"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.libraryGenerator = void 0;
const tslib_1 = require("tslib");
const ensure_nx_dependencies_1 = require("../../utils/ensure-nx-dependencies");
function libraryGenerator(tree, schema) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        (0, ensure_nx_dependencies_1.ensureNxDependencies)();
        const { libraryGeneratorInternal } = yield Promise.resolve().then(() => require('./generator-internal'));
        return libraryGeneratorInternal(tree, schema);
    });
}
exports.libraryGenerator = libraryGenerator;
exports.default = libraryGenerator;
//# sourceMappingURL=generator.js.map